Name:          chaperon
Version:       3.0
Release:       %mkrel 1
Summary:       Text to XML Parser
Group:         Development/Java
License:       ASL
Url:           http://chaperon.sourceforge.net/
Source0:       http://sourceforge.net/projects/chaperon/files/chaperon/3.0/chaperon-3.0-final-src.zip
BuildRequires: ant
BuildRequires: apache-commons-cli
BuildRequires: apache-commons-logging
BuildRequires: castor
BuildRequires: jpackage-utils
BuildRequires: izpress
BuildRequires: jakarta-oro
BuildRequires: jalopy
BuildRequires: jalopy-ant
BuildRequires: jdom
BuildRequires: jtidy
BuildRequires: junit
BuildRequires: liblog4j-java
BuildRequires: sax2
BuildRequires: saxon
BuildRequires: saxon-aelfred
BuildRequires: xalan-j2
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
BuildRequires: xmlunit

Requires:      apache-commons-cli
Requires:      apache-commons-logging
Requires:      castor
Requires:      izpress
Requires:      jpackage-utils
Requires:      xalan-j2
Requires:      xml-commons-apis
BuildArch:     noarch

%description
Chaperon is a project that converts structured text to XML.
It includes a strong LALR(1) parser to parse the text and
a tree builder, which creates an XML document.
Chaperon is a lexical scanner, a parser generator, a parser,
a tree builder and an XML generator all in one package.
Chaperon can parse structured text using a grammar and then
generate an XML representation of the parsed text, so it is
easy to use Chaperon as a converter for text files.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      jpackage-utils

%description javadoc
Chaperon - Text to XML Parser.

This package contains javadoc for %{name}.

%prep
%setup -q -n chaperon-%{version}-final

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done

for j in $(find . -name "*.class"); do
   rm -f $j
done

pushd lib
  pushd core
    ln -sf $(build-classpath commons-logging) commons-logging-1.0.3.jar
    ln -sf $(build-classpath xml-commons-apis) xml-apis.jar
  popd
  pushd optional
    ln -sf $(build-classpath commons-cli) commons-cli-1.0.jar
    ln -sf $(build-classpath ant) ant-1.5.4.jar
    ln -sf $(build-classpath xmlunit) xmlunit0.8.jar
    ln -sf $(build-classpath castor) castor-0.9.5-xml.jar
    ln -sf $(build-classpath xalan-j2) xalan-2.5.1.jar
  popd
popd
pushd tools
  pushd ant/lib
    ln -sf $(build-classpath ant) ant-1.5-optional.jar
    ln -sf $(build-classpath ant) ant-1.5.jar
  popd
  pushd centipede/lib
    ln -sf $(build-classpath izpress) IzPress.jar
    ln -sf $(build-classpath xalan-j2) xalan.jar
    ln -sf $(build-classpath junit) junit.jar
    ln -sf $(build-classpath xerces-j2) xerces.jar
    ln -sf $(build-classpath xml-commons-apis) xml-apis.jar
    ln -sf $(build-classpath jtidy) jtidy.jar
  popd
  pushd jalopy/lib
    ln -sf $(build-classpath jalopy-ant) jalopy-ant-0.6.1.jar
    ln -sf $(build-classpath jalopy) jalopy-1.0b10.jar
    ln -sf $(build-classpath saxon) jaxp-1.2.jar
    ln -sf $(build-classpath saxon-aelfred) aelfred-1.2.jar
    ln -sf $(build-classpath jdom) jdom-1.0b8.jar
    ln -sf $(build-classpath oro) oro-2.0.6.jar
    ln -sf $(build-classpath log4j) log4j-1.2.6.jar
    ln -sf $(build-classpath sax2) sax-2.0.1.jar
  popd
popd

%build

ant package javadocs

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 build/chaperon/chaperon.jar \
  %{buildroot}%{_javadir}/chaperon-%{version}.jar
install -m 644 build/chaperon/chaperon-scratchpad.jar \
  %{buildroot}%{_javadir}/chaperon-scratchpad-%{version}.jar
install -m 644 build/chaperon/chaperon-contrib.jar \
  %{buildroot}%{_javadir}/chaperon-contrib-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/chaperon-%{version}
cp -pr build/chaperon/javadocs/* %{buildroot}%{_javadocdir}/chaperon-%{version}
ln -sf chaperon-%{version} %{buildroot}%{_javadocdir}/chaperon

%files
%{_javadir}/chaperon-%{version}.jar
%{_javadir}/chaperon.jar
%{_javadir}/chaperon-contrib-%{version}.jar
%{_javadir}/chaperon-contrib.jar
%{_javadir}/chaperon-scratchpad-%{version}.jar
%{_javadir}/chaperon-scratchpad.jar
%doc legal/LICENSE

%files javadoc
%{_javadocdir}/chaperon-%{version}
%{_javadocdir}/chaperon



%changelog

* Tue Sep 06 2011 dmorgan <dmorgan> 3.0-1.mga2
+ Revision: 138974
- Adapt to mageia guidelines

  + gil <gil>
    - imported package chaperon


* Fri Jul 01 2011 gil <gil> 3.0-0.%%mkrel
- initial rpm